select 
 dt.owner TABLE_OWNER,
 dic.index_owner,
 dt.table_name,
 dic.index_name,
 dic.column_name,
 dic.column_position,
 di.index_type,
 decode(di.uniqueness,'UNIQUE','Y','NONUNIQUE','N') UNIQUENESS,
 dic.descend
from 
 dba_ind_columns dic,
 dba_indexes di,
 dba_tables dt
where dic.index_owner not in 
 ('SYS','SYSTEM','WMSYS','ORDSYS','CTXSYS','MDSYS','AURORA$JIS$UTILITY$','OUTLN')
and dic.index_name = di.index_name
and dic.table_name = dt.table_name(+)
and dt.table_name = di.table_name(+)
order by TABLE_OWNER,table_name,index_name,column_position
